<svg class="trends__graph" [attr.viewBox]="getViewBox()">
  <ng-container *ngFor="let grid of vGrid">
    <path attr.d="M {{grid.value}} 0 V {{graphHeight + graphTopOffset * 2}}" stroke="rgba(80, 85, 96, .2)" stroke-width="1"></path>
    <text [attr.x]="grid.value" [attr.y]="graphHeight + graphTopOffset * 2 + 8" fill="white" font-size="12" text-anchor="middle" alignment-baseline="text-before-edge">
      {{grid.label}}
    </text>
  </ng-container>
  <path attr.d="M {{graphLeftOffset}} 0 h {{graphWidth}}" stroke="rgba(80, 85, 96, .2)" stroke-width="1" />
  <path attr.d="M {{graphLeftOffset}} {{graphHeight + graphTopOffset*2}} h {{graphWidth}}" stroke="rgba(80, 85, 96, .2)" stroke-width="1" />
  <path *ngFor="let grid of hGrid" attr.d="M {{graphLeftOffset}} {{grid.value}} h {{graphWidth}}" stroke="rgba(80, 85, 96, .2)" stroke-width="1"></path>
  <text [attr.x]="graphLeftOffset - 4" [attr.y]="graphTopOffset" fill="white" font-size="12" text-anchor="end" alignment-baseline="middle">
    {{getMax()}}
  </text>
  <text [attr.x]="graphLeftOffset - 4" [attr.y]="graphTopOffset + graphHeight" fill="white" font-size="12" text-anchor="end" alignment-baseline="middle">
    {{getMin()}}
  </text>

  <path [attr.d]="FillD3Data" fill="#00F6A1" fill-opacity="0.1"></path>
  <path [attr.d]="D3Data" fill="transparent" stroke="#606580" stroke-width="2"></path>
  <path [attr.d]="NewD3Data" fill="transparent" stroke="#00F6A1" stroke-width="2" stroke-dasharray="4 4"></path>

  <path attr.d="M {{graphLeftOffset}} {{height - 16}} l 12 0" fill="transparent" stroke="#606580" stroke-width="2" />
  <text [attr.x]="graphLeftOffset + 16" [attr.y]="height - 16" fill="#808088" font-size="12" alignment-baseline="middle">
    Прогноз
  </text>
  <path attr.d="M {{graphLeftOffset + 80}} {{height - 16}} l 28 0" fill="transparent" stroke="#00F6A1" stroke-width="2" stroke-dasharray="4 4" />
  <text [attr.x]="graphLeftOffset + 112" [attr.y]="height - 16" fill="#808088" font-size="12" alignment-baseline="middle">
    Новый прогноз
  </text>
</svg>
